> ## Documentation Index
> Fetch the complete documentation index at: https://docs.causeloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Dry Run

> Map a sample payload through the contract and score it. No persistence; LLM not called.



## OpenAPI

````yaml /openapi.json post /v1/contracts/{contract_id}/dry-run
openapi: 3.1.0
info:
  description: Causeloop Platform Backend
  title: Causeloop API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/contracts/{contract_id}/dry-run:
    post:
      tags:
        - contracts
      summary: Dry Run
      description: >-
        Map a sample payload through the contract and score it. No persistence;
        LLM not called.
      operationId: dry_run_v1_contracts__contract_id__dry_run_post
      parameters:
        - in: path
          name: contract_id
          required: true
          schema:
            title: Contract Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DryRunBody'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema: {}
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    DryRunBody:
      properties:
        payload:
          additionalProperties: true
          title: Payload
          type: object
      required:
        - payload
      title: DryRunBody
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````